From 57cb11869c0bee4ba00924cd1f004ea247f5845d Mon Sep 17 00:00:00 2001
From: James Valleroy <jvalleroy@mailbox.org>
Date: Wed, 6 Jul 2016 19:37:57 -0400
Subject: [PATCH] Allow use of other webservers besides nginx

---
 debian/control                  | 2 +-
 debian/diaspora-common.postinst | 8 ++++++--
 2 files changed, 7 insertions(+), 3 deletions(-)

diff --git a/debian/control b/debian/control
index f598dde..837d820 100644
--- a/debian/control
+++ b/debian/control
@@ -91,7 +91,7 @@ Depends: adduser,
          curl,
          exim4 | postfix | mail-transport-agent,
          net-tools,
-         nginx,
+         nginx | httpd,
          nodejs,
          rake,
          redis-server (>= 2:2.8),
diff --git a/debian/diaspora-common.postinst b/debian/diaspora-common.postinst
index 82429af..3b43c14 100755
--- a/debian/diaspora-common.postinst
+++ b/debian/diaspora-common.postinst
@@ -60,8 +60,12 @@ case "$1" in
                 db_go
                 # Configure pod address.
                 db_get diaspora-common/url
-                echo "SSL enabled, configuring nginx for ${RET}..."
-                /usr/lib/diaspora-common/scripts/set-env-nginx.sh ${RET}
+                if which nginx > /dev/null 2>&1; then
+                    echo "SSL enabled, configuring nginx for ${RET}..."
+                    /usr/lib/diaspora-common/scripts/set-env-nginx.sh ${RET}
+                else
+                    echo "nginx not installed, skipping configuration..."
+                fi
                 db_go
             else
                 db_go
-- 
2.8.1

